Bug 4875 - restart not worked if pid-file exist
: restart not worked if pid-file exist
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jabber)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-26 16:08 by
Modified: 2005-08-30 03:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-26 16:08:55
Имеем умерший тихим сапом (ну сам лег) сервер.
Далее по крону это вычислилось, и пытаемся его поднять:

service jabber stop
sleep 4
service jabber start

Это не работает, потому что staled-pid не удаляется.
------- Comment #1 From 2004-07-26 16:11:42 -------
Чтобы воспроизвести, достаточно убить сервер по kill -9.
------- Comment #2 From 2004-07-27 02:24:35 -------
Fixed in jabber-1.4.3-alt5
------- Comment #3 From 2004-08-27 00:11:55 -------
[root@master /]# rpm -q jabber
jabber-1.4.3-alt5
[root@master /]# rpm -V jabber
S.5....T c /etc/jabber/jabber.cfg
S.5....T c /etc/jabber/jabber.xml

проблема сохраняется
если существует файл /var/run/jabber/jabberd.pid, то при запуске иеем все
зелененькое ОК на старт, но процесс тут-же сдыхает. 
------- Comment #4 From 2004-09-10 01:41:22 -------
Fixed in jabber-1.4.3-alt6. Sorry.